Skip to content

Queries devices of user.​

GET
/users/{id}/devices

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

user id

Type
string
Required
Format
"JSON"

Query Parameters

filter

JSON Filter object

Type
string
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
  
"imei": "string",
  
  
"iccid": "string",
  
  
"loraId": 0,
  
  
"imsi": "string",
  
  
"btMac": 0,
  
  
"btMacAddress": "string",
  
  
"uwbId": 0,
  
  
"serial": "string",
  
  
"type": "string",
  
  
"expires": "string",
  
  
"lastConnection": "string",
  
  
"firstSeen": "string",
  
  
"mode": "default",
  
  
"name": "string",
  
  
"batteryVoltage": 0,
  
  
"batteryPct": 0,
  
  
"batteryType": "LIO",
  
  
"tags": [
  
  
  
"string"
  
  
],
  
  
"currentMode": 0,
  
  
"color": "fc7c3d",
  
  
"saveToWeb": false,
  
  
"active": false,
  
  
"deepSleep": false,
  
  
"simstate": "active",
  
  
"stripeSubscription": "string",
  
  
"subscriptionType": "string",
  
  
"meta": {
  
  
},
  
  
"siloId": 0,
  
  
"resellerId": 0,
  
  
"btPasskey": 0,
  
  
"simType": "JT",
  
  
"id": 0,
  
  
"ownerId": 0,
  
  
"resellerPlanId": 0,
  
  
"onoWhitelistId": 0
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value